Upstash Documentation

Get Flow Control Key

Get details of a specific Flow Control key.

Flow Control keys are used to manage concurrency and rate limiting for workflow steps.
This endpoint returns the current waitlist size for the specified flow control key,
which indicates how many workflow steps are currently waiting due to flow control constraints.

1 min read
get/v2/keys/rotate
Request example
Response
get/v2/keys/rotate

Authorization

Authorizationstringheaderrequired#
QStash authentication token

1 alternative authorization method available — see the spec for details.

Path parameters

flowControlKeystringrequired#
The Flow Control key to retrieve.

Responses

application/json
Flow control key details
flowControlKeystring#
The flow control key name
waitlistSizeinteger#
The number of messages waiting due to flow control configuration.